View Issue Details

IDProjectCategoryView StatusLast Update
0019265mantisbtcustom fieldspublic2015-03-15 19:58
ReportervboctorAssigned Tovboctor 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0019265: Assign-To fails when there is a custom field that is required on update
Description

If a custom field is defined as required to be supplied when updating an issue, the assign-to operation fails even if the custom field is already set on the issue.

Tagsmantishub

Relationships

related to 0019271 closedvboctor Reporter can't re-open or close issues even if they have access 

Activities

vboctor

vboctor

2015-01-27 18:54

manager   ~0048710

When the custom field is defined, "required on update" really means that the issue is required when the user edits the issue and not when the users assigns it. In fact, even if the user has this value we don't allow them to assign it. Unlike resolve/close where it is a logical part of the workflow where user can elect to require fields that we show on the follow up form.

There is a bit of tension between re-using bug_update for all these actions and for it doing stuff that doesn't make sense for all the scenarios. Hence, we have two options:

  • Pass in an action_type hidden field that has value of: update, assign, resolve, close, etc. This way the logic in the page can do the appropriate checks. For example, when the custom fields required in "update" are not required in "assign". So it should be ok to assign a field whether or not custom fields required on update have values or not.

  • Have separate pages for each of these actions.

Given where we are at, it is likely easier to go with the first option.

vboctor

vboctor

2015-01-27 18:55

manager   ~0048711

The fix described above, should also provide a good way to fix 0019271.

vboctor

vboctor

2015-02-19 01:43

manager   ~0048869

Pull Request: https://github.com/mantisbt/mantisbt/pull/577

Related Changesets

MantisBT: master 899b93cc

2015-02-19 01:42:09

vboctor

Details Diff
Make Assign work with required custom fields

This bug was introduced in 1.3.x where users are not able to assign
issues within projects that have required custom fields on update.
This failure happens even independent of whether the
fields are populated
or not. The fix is to enabling the Assign-To action to work independent
of custom fields values. This this is an assign-to action rather than
a full update.

Fixes 0019265
mod - bug_update.php Diff File
mod - core/constant_inc.php Diff File
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2015-01-26 06:29 vboctor New Issue
2015-01-26 06:30 vboctor Assigned To => vboctor
2015-01-26 06:30 vboctor Status new => assigned
2015-01-26 06:30 vboctor Tag Attached: mantishub
2015-01-26 06:30 vboctor Assigned To vboctor =>
2015-01-26 06:30 vboctor Status assigned => confirmed
2015-01-27 18:54 vboctor Note Added: 0048710
2015-01-27 18:55 vboctor Note Added: 0048711
2015-01-27 18:55 vboctor Tag Attached: 19271
2015-01-27 18:55 vboctor Tag Detached: 19271
2015-01-27 18:55 vboctor Relationship added related to 0019271
2015-02-19 01:43 vboctor Note Added: 0048869
2015-02-19 01:43 vboctor Assigned To => vboctor
2015-02-19 01:43 vboctor Status confirmed => assigned
2015-02-19 11:04 vboctor Changeset attached => MantisBT master 899b93cc
2015-02-19 11:04 vboctor Status assigned => resolved
2015-02-19 11:04 vboctor Resolution open => fixed
2015-02-19 11:04 vboctor Fixed in Version => 1.3.0-beta.2
2015-03-02 08:04 vitsaadmin Issue cloned: 0019426
2015-03-15 19:58 dregad Status resolved => closed